
depend:
	@makedepend $(SRCS) $(INCLUDES) -I$(INCLUDE_CPLUS) $(ROOTCFLAGS) \
        -fMakefile.depend 2> kk.kk ; cat kk.kk

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.cc.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo "Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@
#
# The cleaning facility
#

rmcint:	
	@echo "Removing cint-stuff..."
	@rm -f *Cint.*

rmlib:	
	@echo "Removing libraries..."
	@rm -f lib*.a

rmobjs:	
	@echo "Removing object files..."
	@rm -f *.o

rmcore:	
	@echo "Removing core files..."
	@rm -f core*

rmbin:	
	@echo "Removing binary files..."
	@rm -f $(PROGRAM) $(SOLIB) so_locations

mrproper:	clean
	@echo "Removing *~ *.bak kk.kk html/..."
	@rm -f *~ kk.kk *.bak
	@rm -rf html
	@echo "cd mbase"
	@cd mbase; make mrproper; cd ..
	@echo "cd .."
	@echo "cd mrootformat"
	@cd mrootformat; make mrproper; cd ..
	@echo "cd .."
	@echo "cd mocttest"
	@cd mocttest; make mrproper; cd ..
	@echo "cd .."



